# Clear pull-source observations and rebuild

Canonical: https://docs.shumoku.dev/en/server/next/api/postTopologiesByIdRebuild
Language: en
Server documentation version: next
Product version: 0.1.6-beta.4
Channel: development

This documentation describes the Server currently in development.

Shumoku Server API · 0.1.6-beta.4 · Topology Sync

# Clear pull-source observations and rebuild

[OpenAPI source](https://github.com/konoe-akitoshi/shumoku/blob/73ebc72ba0bc0d1caf74e1ed34c89a6debcb0e6a/apps/server/api/openapi.json)

```
POST /api/topologies/{id}/rebuild
```

## Authentication

sessionCookie / bearerAuth

## Responses

| Status | Description | Schema |
| --- | --- | --- |
| `202` | Sync job started | `StartedTopologySyncJobResult` |
| `400` | Topology operation failed | `Error` |
| `404` | Topology operation failed | `Error` |
| `409` | A sync job is already running | `StartedTopologySyncJobResult` |
| `500` | Topology operation failed | `Error` |

[`apps/server/api/openapi.json`](https://github.com/konoe-akitoshi/shumoku/blob/73ebc72ba0bc0d1caf74e1ed34c89a6debcb0e6a/apps/server/api/openapi.json)
